/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import './plateg-cockpit-variables.less';

body {
  &.no-scroll {
    overflow: hidden;
  }
}

.ant-layout-sider {
  #navbar-component {
    height: 100vh;
  }

  &.cockpit-sider {
    background: @cockpit-sider-background;
    width: @cockpit-sider-width;
  }
}

.cockpit-sticky-below-header {
  top: @cockpit-header-height;
  z-index: 100;
  height: 100%;
  background: @cockpit-sider-background;
  ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
}

/* Navigation (Sidebar) */
.ant-layout-footer,
.ant-layout-sider {
  .ant-menu-item-active {
    border: none !important;
  }
  .cockpit-menu-tile {
    height: @tile-size;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    letter-spacing: 0.65px;
    color: @dirtywhite;
    text-decoration: none;
    font-size: 1.3rem;
    line-height: 14px;
    font-style: normal;
    font-weight: normal;

    &.nowrap {
      white-space: nowrap;
    }
    &:hover {
      color: #fff;
      .underline {
        background: #fff;
      }
    }
    padding: 20px;
    .text {
      min-width: 68px;
    }
    .underline {
      display: none;
    }
    .hint {
      display: block;
      overflow: hidden;
    }
  }
}

.cockpit-menu-tile,
.cockpit-header-logo {
  &:focus {
    outline: @item-focus-border;
    outline-offset: -3px;
    color: #fff;
    .underline {
      background: #fff;
    }
  }
  &.selected {
    background-color: @cockpit-blue;
    color: #fff;
    .underline {
      background: #fff;
    }
  }
}

.content-area {
  height: 100%;
  box-sizing: border-box;
  padding: 32px 32px 32px;
  padding-bottom: 200px;
  min-height: 600px;
  position: relative;
  z-index: 1;
  @media screen and (max-width: 783px) {
    padding-left: 20px;
    padding-right: 20px;
  }

  &.fullscreen {
    padding: 0 0 0;
    min-height: 600px;
  }

  &.content-area-hilfen {
    // Use for styles specific for "hilfen"
  }
  &.content-area-evir {
    // Use for styles specific for "evir"
  }
  &.content-area-evor {
    // Use for styles specific for "evor"
  }
  &.content-area-hra {
    // Use for styles specific for "enorm"
  }

  &.content-area-lea {
    // Use for styles specific for "editor"
    min-height: 0px !important;
    .lea-page-homepage-main {
      .header-component {
        top: 0;
      }
    }
  }

  // styles for pages that have own header and drawer
  &.content-area,
  &.content-area-evor,
  &.content-area-hra,
  &.content-area-egfa,
  &.content-area-rv,
  &.content-area-zeit,
  &.content-area-evir {
    .header-component {
      top: @cockpit-header-height;
      height: auto;
      @media screen and (max-width: 783px) {
        width: 100%;
        position: relative;
        top: 0;
      }
    }
    .ant-drawer {
      height: calc(100% - (@cockpit-header-height + @layout-header-height));
      top: @cockpit-header-height;
    }
  }

  &.content-area-egfa {
    // Use for styles specific for "egfa"
  }
  &.content-area-pkp {
    // Use for styles specific for "pkp"
  }
  &#main-area:focus {
    outline: none;
  }
}
